using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;
using Infragistics.Shared;
using System.IO;
using Infragistics.Win.AppStyling;
using Infragistics.Win.UltraWinEditors;
using System.Collections;
using System.Threading;

namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private DataTable dt1;

        private void Form1_Load(object sender, System.EventArgs e)
        {
            // Set grid's DataSource
            dt1 = DummyDataCreator.GetData(10);

            dt1.TableName = "Band 0";
            this.ultraGrid1.SetDataBinding(dt1, null);
        }
       
        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];
            UltraGridOverride ov = layout.Override;

            ov.HeaderClickAction = HeaderClickAction.SortMulti;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            UltraGridBand band = this.ultraGrid1.DisplayLayout.Bands[0];
            band.SortedColumns.Clear();
            band.SortedColumns.Add("Int32 1", false);
            band.SortedColumns.Add("Int32 2", false);
        }

        private void ultraGrid1_BeforeSortChange(object sender, BeforeSortChangeEventArgs e)
        {
            
        }
    }
}